<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">
    
    <ui:define name="contentPart">
        <h:form id="ListGruposJerarquicosForm">          
            
               <h:outputText 
                value="Catálogos comunes -> Grupos Jerárquicos" 
                style="font-weight: bold"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>            
            <h:outputText value="Administración de grupos jerárquicos" />
            <br/><br/>
            
            <h:panelGrid columns="1" columnClasses="centered7" cellpadding="10">
            <p:dataTable
                id="listadoGruposJerarquicos"
                value="#{gruposJerarquicosMB.listadoGruposJerarquicos}"
                var="gruposJerarquicos"
                paginator="true"
                rows="10"                
                style="font-size: small;
                       "
                emptyMessage="No se encontraron grupos jerárquicos"
                paginatorPosition="bottom"> 
                      
                        
                 <f:facet name="header">
                    Grupos Jerárquicos
                    <p:commandButton 
                        id="btnAddEmp" 
                        styleClass="botonpequeno"
                        title="Nuevo Grupo Jerárquico"
                        icon="ui-icon-plusthick"
                        style="display:inline; float:right; font-size:x-small;"
                          update=":pnAddGpoJer"
                            onclick="PF('addGrupoJerarquico').show();" />


                </f:facet>                                                            
                
                <p:column
                    sortBy="#{gruposJerarquicos.strClaveJerarquica}"
                    style="font-size: small"
                    filterMatchMode="contains"
                    width="5%"
                    filterBy="#{gruposJerarquicos.strClaveJerarquica}">
                    
                    <f:facet name="header">#{translatedMessage['restricted.grupoJerarquico.claveJerarquica']}</f:facet>
                    
                    <h:outputText value="#{gruposJerarquicos.strClaveJerarquica}"/>
                </p:column>  
                
                <p:column
                    sortBy="#{gruposJerarquicos.strDescripcion}"
                    style="font-size: small"
                    filterMatchMode="contains"
                    width="25%"
                    filterBy="#{gruposJerarquicos.strDescripcion}">
                    
                    <f:facet name="header">#{translatedMessage['restricted.grupoJerarquico.descGpoJer']}</f:facet>
                    
                    <h:outputText value="#{gruposJerarquicos.strDescripcion}"/>
                </p:column>                 
                
                <p:column                    
                    sortBy="#{gruposJerarquicos.strSgmm}"
                    filterMatchMode="contains"
                    style="font-size: small"
                    width="5%"
                    filterStyle="width:90%"
                    filterBy="#{gruposJerarquicos.strSgmm}">
                    
                    <f:facet name="header">#{translatedMessage['restricted.grupoJerarquico.SGMM']}</f:facet>
                    
                    <h:outputText value="#{gruposJerarquicos.strSgmm}"/>
                </p:column>  
                
                <p:column                    
                    sortBy="#{gruposJerarquicos.strEstatus}"
                    filterMatchMode="contains"
                    style="font-size: small"
                    width="5%"
                    filterStyle="width:90%"
                    filterBy="#{gruposJerarquicos.strEstatus}">
                    
                    <f:facet name="header">#{translatedMessage['restricted.grupoJerarquico.estatusGpoJer']}</f:facet>
                    
                    <h:outputText value="#{gruposJerarquicos.strEstatus}"/>
                </p:column>  
                
                 <p:column  
                    headerText="Acciones"
                    style="font-size:small;"
                    width="5%">
                    
                    <p:commandButton                        
                        onclick="PF('editGrupoJerarquico').show();"
                        update=":pnEditGpoJer"
                        title="Editar"
                        value="Editar"
                        style="display:inline;                                                            
                               font-size:x-small;width: 100px">
                        
                        <f:setPropertyActionListener
                            value="#{gruposJerarquicos}"
                            target="#{gruposJerarquicosMB.gruposJerarquicosSelected}" />
                    </p:commandButton>
                     <div style="height: 3px"></div>
                    <p:commandButton
                        onclick="PF('deleteGrupoJerarquicoPopup').show();"
                        update=":pnDeleteGpoJer"
                        title="Activar/Inactivar"
                        value="Activar/Inactivar"
                        style="display:inline; width: 100px;                                                           
                               font-size:x-small;"
                        actionListener="#{gruposJerarquicosMB.verBotonActivarInactivar(gruposJerarquicos)}">
                    
                        <f:setPropertyActionListener
                            value="#{gruposJerarquicos}"
                            target="#{gruposJerarquicosMB.gruposJerarquicosSelected}" />
                    </p:commandButton>
                </p:column> 
            </p:dataTable>  
            </h:panelGrid>
            <br/>
            
            
                 
            <div align="center">
                        <p:commandButton
                            value="Cerrar"
                            type="button"
                            onclick="location='#{request.contextPath}#{commonDataMB.defaultTargetUrl}';">
                        </p:commandButton>         
            </div>
        </h:form>
    </ui:define>
    
    <ui:define name="outLayoutPart" >
        <ui:include src="DeleteGrupoJerarquicoPopup.xhtml" />
        <ui:include src="AddGrupoJerarquico.xhtml" />
        <ui:include src="EditGrupoJerarquico.xhtml" />
    </ui:define>    
                    
</ui:composition>
